/*
 **********************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 **********************************************************************

 Definitions common to 4501 and 4801 driver

  (c) Copyright 2003-2004   Martin Hejl <martin@hejl.de>
                            G&H Softwareentwicklung GmbH

*/

#ifndef __COMMON_GPIO_H__
#define __COMMON_GPIO_H__

#include <linux/config.h>
#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/fs.h>
#include <linux/errno.h>
#include <linux/types.h>
#include <linux/proc_fs.h>
#include <linux/init.h>
#include <linux/fs.h>
#include <linux/fcntl.h>
#include <asm/system.h>
#include <asm/io.h>
#include <asm/uaccess.h>
#include <linux/pci.h>

#define TEMPERATURE_PROC_FILENAME "driver/soekris_temp"
#define VOLTAGE_PROC_FILENAME 	"driver/soekris_voltage"
#define VERSION                 "1.3.2"

#define TEMPERATURE_BUFFER_SIZE 256
#define VOLTAGE_BUFFER_SIZE 512

#define OUR_NAME "soekris_env"

extern struct semaphore gpio_sema;

struct gpio_operations {
	int (*readTemperature)(char*,int);
	int (*readVoltage)(char*,int);
	int (*init)(struct gpio_operations**);
	void (*cleanup)();
};

#endif
